function updateDonationAmount() {
	if (document.getElementById("donationoptions").options[document.getElementById("donationoptions").selectedIndex].value == "Half block $500") {
		document.getElementById("donationamount").value = "500";
		document.getElementById("donationamount").readOnly = true;
	}
	
	else if (document.getElementById("donationoptions").options[document.getElementById("donationoptions").selectedIndex].value == "One block $1000") {
		document.getElementById("donationamount").value = "1000";
		document.getElementById("donationamount").readOnly = true;
	}
	
	else if (document.getElementById("donationoptions").options[document.getElementById("donationoptions").selectedIndex].value == "Two blocks $2000") {
		document.getElementById("donationamount").value = "2000";
		document.getElementById("donationamount").readOnly = true;
	}
	
	else {
		document.getElementById("donationamount").value = "";
		document.getElementById("donationamount").readOnly = false;
	}
}